GemFireMemberStatus (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, class: GemFireMemberStatus

Package org.apache.geode.admin

# Class GemFireMemberStatus

java.lang.Object
org.apache.geode.admin.GemFireMemberStatus

All Implemented Interfaces:
  `Serializable`

@Deprecated public class GemFireMemberStatus extends Object implements Serializable
Deprecated.
as of 7.0 use the `management` package instead
Class `GemFireMemberStatus` provides the status of a specific GemFire member VM. This VM can be a peer, a client, a server and/or a gateway.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `_bindAddress`
  Deprecated.
  `protected Map`
  `_clientHealthStats`
  Deprecated.
  `protected Map`
  `_clientHostNames`
  Deprecated.
  `protected Map`
  `_clientQueueSizes`
  Deprecated.
  `protected Set`
  `_connectedClients`
  Deprecated.
  `protected Map`
  `_connectedIncomingGateways`
  Deprecated.
  `protected Set`
  `_connectedPeers`
  Deprecated.
  `protected Set`
  `_connectedServers`
  Deprecated.
  `protected long`
  `_freeHeapSize`
  Deprecated.
  `protected Object`
  `_gatewayHubStatus`
  Deprecated.
  `protected Map`
  `_gatewayQueueSizes`
  Deprecated.
  `protected InetAddress`
  `_hostAddress`
  Deprecated.
  `protected boolean`
  `_isClient`
  Deprecated.
  Notifies whether this member is a client to a cache server.
  `protected boolean`
  `_isConnected`
  Deprecated.
  `protected boolean`
  `_isGatewayHub`
  Deprecated.
  Notifies whether this member is a hub for WAN gateways.
  `protected boolean`
  `_isLocator`
  Deprecated.
  Notifies whether this member is a locator.
  `protected boolean`
  `_isPrimaryGatewayHub`
  Deprecated.
  `protected boolean`
  `_isServer`
  Deprecated.
  Notifies whether this member is a cache server.
  `protected String`
  `_locators`
  Deprecated.
  `protected long`
  `_maximumHeapSize`
  Deprecated.
  `protected InetAddress`
  `_mcastAddress`
  Deprecated.
  `protected int`
  `_mcastPort`
  Deprecated.
  `protected Serializable`
  `_memberId`
  Deprecated.
  `protected String`
  `_memberName`
  Deprecated.
  `protected Map`
  `_outgoingGateways`
  Deprecated.
  `protected Map`
  `_regionStatuses`
  Deprecated.
  `protected int`
  `_serverPort`
  Deprecated.
  `protected Set`
  `_unconnectedServers`
  Deprecated.
  `protected final Cache`
  `cache`
  Deprecated.
  `protected long`
  `upTime`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GemFireMemberStatus()`
  Deprecated.
  `GemFireMemberStatus(Cache cache)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addConnectedClient(String connectedClient)`
  Deprecated.
  `protected void`
  `addConnectedServer(String connectedServer)`
  Deprecated.
  `protected void`
  `addUnconnectedServer(String unconnectedServer)`
  Deprecated.
  `String`
  `getBindAddress()`
  Deprecated.
  `Map`
  `getClientHealthStats()`
  Deprecated.
  `Object`
  `getClientHealthStats(String clientID)`
  Deprecated.
  For internal use only
  `String`
  `getClientHostName(String clientId)`
  Deprecated.
  `int`
  `getClientQueueSize(String clientMemberId)`
  Deprecated.
  `Map`
  `getClientQueueSizes()`
  Deprecated.
  `Set`
  `getConnectedClients()`
  Deprecated.
  `Map`
  `getConnectedIncomingGateways()`
  Deprecated.
  `Set`
  `getConnectedPeers()`
  Deprecated.
  `Set`
  `getConnectedServers()`
  Deprecated.
  `long`
  `getFreeHeapSize()`
  Deprecated.
  `Object`
  `getGatewayHubStatus()`
  Deprecated.
  For internal use only
  `InetAddress`
  `getHostAddress()`
  Deprecated.
  `boolean`
  `getIsClient()`
  Deprecated.
  Returns whether this member is a client to a cache server
  `boolean`
  `getIsConnected()`
  Deprecated.
  `boolean`
  `getIsGatewayHub()`
  Deprecated.
  Returns whether this member is a hub for WAN gateways
  `boolean`
  `getIsLocator()`
  Deprecated.
  `boolean`
  `getIsPrimaryGatewayHub()`
  Deprecated.
  `boolean`
  `getIsSecondaryGatewayHub()`
  Deprecated.
  `boolean`
  `getIsServer()`
  Deprecated.
  Returns whether this member is a cache server
  `String`
  `getLocators()`
  Deprecated.
  `long`
  `getMaximumHeapSize()`
  Deprecated.
  `InetAddress`
  `getMcastAddress()`
  Deprecated.
  `int`
  `getMcastPort()`
  Deprecated.
  `Serializable`
  `getMemberId()`
  Deprecated.
  `String`
  `getMemberName()`
  Deprecated.
  `Map`
  `getOutgoingGateways()`
  Deprecated.
  `Object`
  `getRegionStatus(String fullRegionPath)`
  Deprecated.
  For internal use only
  `Map`
  `getRegionStatuses()`
  Deprecated.
  `int`
  `getServerPort()`
  Deprecated.
  `Set`
  `getUnconnectedServers()`
  Deprecated.
  `long`
  `getUpTime()`
  Deprecated.
  `long`
  `getUsedHeapSize()`
  Deprecated.
  `protected void`
  `initialize(DistributedSystem distributedSystem)`
  Deprecated.
  `protected void`
  `initializeAll(DistributedSystem distributedSystem)`
  Deprecated.
  `protected void`
  `initializeClient()`
  Deprecated.
  `protected void`
  `initializeDistributedSystem(DistributedSystem distributedSystem)`
  Deprecated.
  `protected void`
  `initializeInstanceVariables()`
  Deprecated.
  `protected void`
  `initializeMemory()`
  Deprecated.
  `protected void`
  `initializePeers(DistributedSystem distributedSystem)`
  Deprecated.
  `protected void`
  `initializeRegionSizes()`
  Deprecated.
  `protected void`
  `initializeServer()`
  Deprecated.
  `protected void`
  `putClientHostName(String clientId, String hostName)`
  Deprecated.
  `protected void`
  `putClientQueueSize(String clientMemberId, int size)`
  Deprecated.
  `protected void`
  `putRegionStatus(String fullRegionPath, org.apache.geode.internal.cache.RegionStatus status)`
  Deprecated.
  `protected void`
  `setBindAddress(String bindAddress)`
  Deprecated.
  `protected void`
  `setClientHealthStats(String clientID, org.apache.geode.internal.admin.remote.ClientHealthStats stats)`
  Deprecated.
  `protected void`
  `setClientHealthStats(Map stats)`
  Deprecated.
  `protected void`
  `setClientQueueSizes(Map clientQueueSizes)`
  Deprecated.
  `protected void`
  `setConnectedIncomingGateways(Map connectedIncomingGateways)`
  Deprecated.
  `protected void`
  `setConnectedPeers(Set connectedPeers)`
  Deprecated.
  `protected void`
  `setConnectedServers(Set connectedServers)`
  Deprecated.
  `protected void`
  `setFreeHeapSize(long size)`
  Deprecated.
  `protected void`
  `setHostAddress(InetAddress hostAddress)`
  Deprecated.
  `protected void`
  `setIsClient(boolean isClient)`
  Deprecated.
  Sets whether this member is a client to a cache server
  `protected void`
  `setIsConnected(boolean isConnected)`
  Deprecated.
  `protected void`
  `setIsGatewayHub(boolean isGatewayHub)`
  Deprecated.
  Sets whether this member is a cache server
  `protected void`
  `setIsLocator(boolean isLocator)`
  Deprecated.
  `protected void`
  `setIsPrimaryGatewayHub(boolean isPrimaryGatewayHub)`
  Deprecated.
  `protected void`
  `setIsServer(boolean isServer)`
  Deprecated.
  Sets whether this member is a cache server
  `protected void`
  `setLocators(String locators)`
  Deprecated.
  `protected void`
  `setMaximumHeapSize(long size)`
  Deprecated.
  `protected void`
  `setMcastAddress(InetAddress mcastAddress)`
  Deprecated.
  `protected void`
  `setMcastPort(int mcastPort)`
  Deprecated.
  `protected void`
  `setMemberId(Serializable memberId)`
  Deprecated.
  `protected void`
  `setMemberName(String memberName)`
  Deprecated.
  `protected void`
  `setServerPort(int port)`
  Deprecated.
  `protected void`
  `setUnconnectedServers(Set unconnectedServers)`
  Deprecated.
  `void`
  `setUpTime(long upTime)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### _isClient

    protected boolean _isClient
    Deprecated.
    Notifies whether this member is a client to a cache server.

  - ### _isServer

    protected boolean _isServer
    Deprecated.
    Notifies whether this member is a cache server.

  - ### _isGatewayHub

    protected boolean _isGatewayHub
    Deprecated.
    Notifies whether this member is a hub for WAN gateways.

  - ### _isLocator

    protected boolean _isLocator
    Deprecated.
    Notifies whether this member is a locator.

  - ### _isPrimaryGatewayHub

    protected boolean _isPrimaryGatewayHub
    Deprecated.

  - ### _gatewayHubStatus

    protected Object _gatewayHubStatus
    Deprecated.

  - ### _isConnected

    protected boolean _isConnected
    Deprecated.

  - ### _memberId

    protected Serializable _memberId
    Deprecated.

  - ### _connectedPeers

    protected Set _connectedPeers
    Deprecated.

  - ### _connectedServers

    protected Set _connectedServers
    Deprecated.

  - ### _unconnectedServers

    protected Set _unconnectedServers
    Deprecated.

  - ### _connectedClients

    protected Set _connectedClients
    Deprecated.

  - ### _connectedIncomingGateways

    protected Map _connectedIncomingGateways
    Deprecated.

  - ### _outgoingGateways

    protected Map _outgoingGateways
    Deprecated.

  - ### _clientHostNames

    protected Map _clientHostNames
    Deprecated.

  - ### _clientQueueSizes

    protected Map _clientQueueSizes
    Deprecated.

  - ### _gatewayQueueSizes

    protected Map _gatewayQueueSizes
    Deprecated.

  - ### _regionStatuses

    protected Map _regionStatuses
    Deprecated.

  - ### _clientHealthStats

    protected Map _clientHealthStats
    Deprecated.

  - ### _memberName

    protected String _memberName
    Deprecated.

  - ### _mcastPort

    protected int _mcastPort
    Deprecated.

  - ### _serverPort

    protected int _serverPort
    Deprecated.

  - ### _mcastAddress

    protected InetAddress _mcastAddress
    Deprecated.

  - ### _bindAddress

    protected String _bindAddress
    Deprecated.

  - ### _locators

    protected String _locators
    Deprecated.

  - ### _hostAddress

    protected InetAddress _hostAddress
    Deprecated.

  - ### _maximumHeapSize

    protected long _maximumHeapSize
    Deprecated.

  - ### _freeHeapSize

    protected long _freeHeapSize
    Deprecated.

  - ### upTime

    protected long upTime
    Deprecated.

  - ### cache

    protected final transient Cache cache
    Deprecated.

- ## Constructor Details

  - ### GemFireMemberStatus

    public GemFireMemberStatus()
    Deprecated.

  - ### GemFireMemberStatus

    public GemFireMemberStatus(Cache cache)
    Deprecated.

- ## Method Details

  - ### getIsConnected

    public boolean getIsConnected()
    Deprecated.

  - ### setIsConnected

    protected void setIsConnected(boolean isConnected)
    Deprecated.

  - ### getIsClient

    public boolean getIsClient()
    Deprecated.
    Returns whether this member is a client to a cache server
    Returns:
      whether this member is a client to a cache server

  - ### setIsClient

    protected void setIsClient(boolean isClient)
    Deprecated.
    Sets whether this member is a client to a cache server
    Parameters:
      `isClient` - Boolean defining whether this member is a client to a cache server

  - ### getIsServer

    public boolean getIsServer()
    Deprecated.
    Returns whether this member is a cache server
    Returns:
      whether this member is a cache server

  - ### setIsServer

    protected void setIsServer(boolean isServer)
    Deprecated.
    Sets whether this member is a cache server
    Parameters:
      `isServer` - Boolean defining whether this member is a cache server

  - ### getServerPort

    public int getServerPort()
    Deprecated.

  - ### setServerPort

    protected void setServerPort(int port)
    Deprecated.

  - ### getIsGatewayHub

    public boolean getIsGatewayHub()
    Deprecated.
    Returns whether this member is a hub for WAN gateways
    Returns:
      whether this member is a hub for WAN gateways

  - ### setIsGatewayHub

    protected void setIsGatewayHub(boolean isGatewayHub)
    Deprecated.
    Sets whether this member is a cache server
    Parameters:
      `isGatewayHub` - Boolean defining whether this member is a hub for WAN gateways

  - ### getIsLocator

    public boolean getIsLocator()
    Deprecated.

  - ### setIsLocator

    protected void setIsLocator(boolean isLocator)
    Deprecated.

  - ### getIsPrimaryGatewayHub

    public boolean getIsPrimaryGatewayHub()
    Deprecated.

  - ### setIsPrimaryGatewayHub

    protected void setIsPrimaryGatewayHub(boolean isPrimaryGatewayHub)
    Deprecated.

  - ### getGatewayHubStatus

    public Object getGatewayHubStatus()
    Deprecated.
    For internal use only
    Returns:
      status of the gateway hub

  - ### getIsSecondaryGatewayHub

    public boolean getIsSecondaryGatewayHub()
    Deprecated.

  - ### getConnectedPeers

    public Set getConnectedPeers()
    Deprecated.

  - ### setConnectedPeers

    protected void setConnectedPeers(Set connectedPeers)
    Deprecated.

  - ### getConnectedServers

    public Set getConnectedServers()
    Deprecated.

  - ### setConnectedServers

    protected void setConnectedServers(Set connectedServers)
    Deprecated.

  - ### addConnectedServer

    protected void addConnectedServer(String connectedServer)
    Deprecated.

  - ### getUnconnectedServers

    public Set getUnconnectedServers()
    Deprecated.

  - ### setUnconnectedServers

    protected void setUnconnectedServers(Set unconnectedServers)
    Deprecated.

  - ### addUnconnectedServer

    protected void addUnconnectedServer(String unconnectedServer)
    Deprecated.

  - ### getConnectedClients

    public Set getConnectedClients()
    Deprecated.

  - ### addConnectedClient

    protected void addConnectedClient(String connectedClient)
    Deprecated.

  - ### getOutgoingGateways

    public Map getOutgoingGateways()
    Deprecated.

  - ### getConnectedIncomingGateways

    public Map getConnectedIncomingGateways()
    Deprecated.

  - ### setConnectedIncomingGateways

    protected void setConnectedIncomingGateways(Map connectedIncomingGateways)
    Deprecated.

  - ### getClientQueueSizes

    public Map getClientQueueSizes()
    Deprecated.

  - ### setClientQueueSizes

    protected void setClientQueueSizes(Map clientQueueSizes)
    Deprecated.

  - ### getClientQueueSize

    public int getClientQueueSize(String clientMemberId)
    Deprecated.

  - ### putClientQueueSize

    protected void putClientQueueSize(String clientMemberId, int size)
    Deprecated.

  - ### getClientHealthStats

    public Map getClientHealthStats()
    Deprecated.

  - ### setClientHealthStats

    protected void setClientHealthStats(Map stats)
    Deprecated.

  - ### getClientHealthStats

    public Object getClientHealthStats(String clientID)
    Deprecated.
    For internal use only
    Parameters:
      `clientID` - client for health
    Returns:
      the client's health

  - ### setClientHealthStats

    protected void setClientHealthStats(String clientID, org.apache.geode.internal.admin.remote.ClientHealthStats stats)
    Deprecated.

  - ### putClientHostName

    protected void putClientHostName(String clientId, String hostName)
    Deprecated.

  - ### getClientHostName

    public String getClientHostName(String clientId)
    Deprecated.

  - ### getRegionStatuses

    public Map getRegionStatuses()
    Deprecated.

  - ### getRegionStatus

    public Object getRegionStatus(String fullRegionPath)
    Deprecated.
    For internal use only
    Parameters:
      `fullRegionPath` - region path
    Returns:
      status for the region

  - ### putRegionStatus

    protected void putRegionStatus(String fullRegionPath, org.apache.geode.internal.cache.RegionStatus status)
    Deprecated.

  - ### getMemberId

    public Serializable getMemberId()
    Deprecated.

  - ### setMemberId

    protected void setMemberId(Serializable memberId)
    Deprecated.

  - ### getMemberName

    public String getMemberName()
    Deprecated.

  - ### setMemberName

    protected void setMemberName(String memberName)
    Deprecated.

  - ### getMcastPort

    public int getMcastPort()
    Deprecated.

  - ### setMcastPort

    protected void setMcastPort(int mcastPort)
    Deprecated.

  - ### getMcastAddress

    public InetAddress getMcastAddress()
    Deprecated.

  - ### setMcastAddress

    protected void setMcastAddress(InetAddress mcastAddress)
    Deprecated.

  - ### getHostAddress

    public InetAddress getHostAddress()
    Deprecated.

  - ### setHostAddress

    protected void setHostAddress(InetAddress hostAddress)
    Deprecated.

  - ### getBindAddress

    public String getBindAddress()
    Deprecated.

  - ### setBindAddress

    protected void setBindAddress(String bindAddress)
    Deprecated.

  - ### getLocators

    public String getLocators()
    Deprecated.

  - ### setLocators

    protected void setLocators(String locators)
    Deprecated.

  - ### getMaximumHeapSize

    public long getMaximumHeapSize()
    Deprecated.

  - ### setMaximumHeapSize

    protected void setMaximumHeapSize(long size)
    Deprecated.

  - ### getFreeHeapSize

    public long getFreeHeapSize()
    Deprecated.

  - ### setFreeHeapSize

    protected void setFreeHeapSize(long size)
    Deprecated.

  - ### getUsedHeapSize

    public long getUsedHeapSize()
    Deprecated.

  - ### getUpTime

    public long getUpTime()
    Deprecated.

  - ### setUpTime

    public void setUpTime(long upTime)
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### initialize

    protected void initialize(DistributedSystem distributedSystem)
    Deprecated.

  - ### initializeInstanceVariables

    protected void initializeInstanceVariables()
    Deprecated.

  - ### initializeServer

    protected void initializeServer()
    Deprecated.

  - ### initializeClient

    protected void initializeClient()
    Deprecated.

  - ### initializeAll

    protected void initializeAll(DistributedSystem distributedSystem)
    Deprecated.

  - ### initializeDistributedSystem

    protected void initializeDistributedSystem(DistributedSystem distributedSystem)
    Deprecated.

  - ### initializePeers

    protected void initializePeers(DistributedSystem distributedSystem)
    Deprecated.

  - ### initializeMemory

    protected void initializeMemory()
    Deprecated.

  - ### initializeRegionSizes

    protected void initializeRegionSizes()
    Deprecated.